from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSetSpellAlternatives(XInterface, Protocol):
    def setAlternatives(self, aAlternatives: sequence< string >) -> None: ...
    def setFailureType(self, nFailureType: int) -> None: ...
